# Class DoubleCarryCRTBuilder

java.lang.Object
org.apfloat.internal.DoubleCarryCRTBuilder

All Implemented Interfaces:
  `CarryCRTBuilder<double[]>`

public class DoubleCarryCRTBuilder extends Object implements CarryCRTBuilder<double[]>
Creates carry-CRT related objects, for the `double` type.

Since:
  1.7.0
Version:
  1.7.0
Author:
  Mikko Tommila

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleCarryCRTBuilder()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CarryCRTStrategy`
  `createCarryCRT(int radix)`
  Creates an object for implementing the carry-CRT of a three-NTT based convolution using the specified radix.
  `CarryCRTStepStrategy<double[]>`
  `createCarryCRTSteps(int radix)`
  Creates an object for implementing the steps of the carry-CRT of a three-NTT based convolution using the specified radix.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DoubleCarryCRTBuilder

    public DoubleCarryCRTBuilder()
    Default constructor.

- ## Method Details

  - ### createCarryCRT

    public CarryCRTStrategy createCarryCRT(int radix)
    Description copied from interface: `CarryCRTBuilder`
    Creates an object for implementing the carry-CRT of a three-NTT based convolution using the specified radix.
    Specified by:
      `createCarryCRT` in interface `CarryCRTBuilder<double[]>`
    Parameters:
      `radix` - The radix that will be used.
    Returns:
      A suitable object for performing the carry-CRT.

  - ### createCarryCRTSteps

    public CarryCRTStepStrategy<double[]> createCarryCRTSteps(int radix)
    Description copied from interface: `CarryCRTBuilder`
    Creates an object for implementing the steps of the carry-CRT of a three-NTT based convolution using the specified radix.
    Specified by:
      `createCarryCRTSteps` in interface `CarryCRTBuilder<double[]>`
    Parameters:
      `radix` - The radix that will be used.
    Returns:
      A suitable object for performing the carry-CRT steps.